#include <cstdint>
#include <iostream>
#include <queue>
using namespace std;

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(nullptr);
  int Z;
  cin >> Z;
  while (Z--) {
    int n;
    cin >> n;
    priority_queue<int> q;
    int64_t s = 0;
    for (int i = 0; i < n; ++i) {
      int a;
      cin >> a;
      q.push(a);
      s += a;
    }
    while (!q.empty() && q.top() >= s - q.top()) {
      s -= q.top();
      q.pop();
    }
    cout << s << endl;
  }
}
