#include <algorithm>
#include <cstdint>
#include <iostream>
#include <vector>
using namespace std;

int main() {
  ios_base::sync_with_stdio(false);
  cin.tie(nullptr);
  int Z;
  cin >> Z;
  while (Z--) {
    int n;
    cin >> n;
    vector<int> a(n);
    for (int i = 0; i < n; ++i)
      cin >> a[i];
    sort(a.begin(), a.end());
    int64_t s = 0;
    for (int i = 0; i < n; ++i)
      s += a[i];
    int debug = 0;
    while (n > 0 && a[n - 1] * 2 >= s) {
      s -= a[--n];
      ++debug;
    }
    cout << s << endl;
    cerr << debug << endl;
  }
}
